.file-download-container {
    background-color: #f0f0f0;
    width: 100%;
    border-radius: .5rem;
    display: flex;
    padding: 26px;
    margin-bottom: 30px;
    margin-top: 30px;
}

.file-download-box {
    display: flex;
    align-items: center; /* Alinha todos os elementos verticalmente */
    justify-content: space-between;
    width: 100%;
    gap: 1rem;
}

.file-download-text-container {
    display: flex;
    align-items: center; /* Garante que o ícone e o texto estejam centralizados verticalmente */
    gap: 1rem;
    padding: 0; /* Remove qualquer padding que possa interferir */
}

.file-download-description-icon {
    width: 40px;
    height: 40px;
    display: block; /* Garante que o ícone se comporte como um bloco */
}

.file-download-text {
    margin: 0;
    font-weight: 400;
    font-size: 24px;
    line-height: normal; /* Remove a altura de linha fixa */
    color: #262626;
    display: flex;
    align-items: center; /* Certifica-se de que o texto também esteja centralizado */
}

#file-download-button {
    color: #fff;
    background-color: var(--color-primary);
    border-color: transparent;
    font-size: 18px;
    font-family: Archivo, sans-serif;
    font-weight: 300;
    padding: 10px 20px;
    border-radius: .25rem;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    cursor: pointer;
    min-width: 180px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: background-color 0.3s ease;
    transition: transform 0.3s, box-shadow 0.3s;
}

#file-download-button:hover {
    transform: translateY(-5px);
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}